Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu
Class Response.Render

    java.lang.Object
      juzu.Response
          juzu.Response.Content<Stream.Char>
              juzu.Response.Render

Enclosing class:
  Response

    public static class Response.Render

extends Response.Content<Stream.Char>

Nested Class Summary
`static class` | `Response.Render.SCRIPT` Script type literal.
`static class` | `Response.Render.STYLESHEET` Stylesheet type literal.
`static class` | `Response.Render.TITLE` Stylesheet type literal.

Nested classes/interfaces inherited from class juzu.Response.Content
`Response.Content.MIME_TYPE`

Nested classes/interfaces inherited from class juzu.Response
`Response.Content<S extends Stream>, Response.Redirect, Response.Render, Response.Update`

Field Summary
`static Response.Render.SCRIPT` | `SCRIPT` Script type literal instance.
`static Response.Render.STYLESHEET` | `STYLESHEET` Stylesheet literal instance.
`static Response.Render.TITLE` | `TITLE` Stylesheet literal instance.

Fields inherited from class juzu.Response.Content
`MIME_TYPE`

Constructor Summary
`Response.Render()`
`Response.Render(PropertyMap properties, Streamable<Stream.Char> streamable)`
`Response.Render(Streamable<Stream.Char> streamable)`

Method Summary
`Response.Render` | `addScript(Asset script)`
`Response.Render` | `addStylesheet(Asset stylesheet)`
`Iterable<Asset>` | `getScripts()`
`Iterable<Asset>` | `getStylesheets()`
`String` | `getTitle()`
`String` | `toString()`
`
`<T> Response.Render`
` | `with(PropertyType<T> propertyType, T propertyValue)` Set a property, if the value is null, the property is removed.
`Response.Render` | `withTitle(String title)`

Methods inherited from class juzu.Response.Content
`getKind, getMimeType, getStatus, getStreamable, send, withMimeType`

Methods inherited from class juzu.Response
`content, content, content, content, getProperties, notFound, ok, ok, ok, redirect, render, render`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SCRIPT

    public static Response.Render.SCRIPT SCRIPT

  Script type literal instance.

### STYLESHEET

    public static Response.Render.STYLESHEET STYLESHEET

  Stylesheet literal instance.

### TITLE

    public static Response.Render.TITLE TITLE

  Stylesheet literal instance.

Constructor Detail

### Response.Render

    public Response.Render()

### Response.Render

    public Response.Render(PropertyMap properties,
                           Streamable<Stream.Char> streamable)

### Response.Render

    public Response.Render(Streamable<Stream.Char> streamable)

Method Detail

### with

    public <T> Response.Render with(PropertyType<T> propertyType,
                                    T propertyValue)
                         throws NullPointerException

  Description copied from class: `Response`
  Set a property, if the value is null, the property is removed.

  Overrides:
    `with` in class `Response.Content<Stream.Char>`
  Parameters:
    `propertyType` - the property type
    `propertyValue` - the property value
  Throws:
    `NullPointerException` - if the property type is null

### getTitle

    public String getTitle()

### withTitle

    public Response.Render withTitle(String title)

### getScripts

    public Iterable<Asset> getScripts()

### addScript

    public Response.Render addScript(Asset script)
                              throws NullPointerException

  Throws:
    `NullPointerException`

### getStylesheets

    public Iterable<Asset> getStylesheets()

### addStylesheet

    public Response.Render addStylesheet(Asset stylesheet)
                                  throws NullPointerException

  Throws:
    `NullPointerException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.